using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SkellyMageBossController : BossController
{
    protected override void PerformHighestPriorityAction()
    {
        base.PerformHighestPriorityAction();
    }

    protected override void PerformSecondHighestPriorityAction()
    {
        base.PerformSecondHighestPriorityAction();
    }

    protected override void PerformThirdHighestPriorityAction()
    {
        base.PerformThirdHighestPriorityAction();
    }

    protected override void PerformUltimate()
    {
        Debug.Log("INSIDE CAN CAST ULTIMATE: " + bossAbilityBinder.CanCastUltimate());
        ResetValuesOnAbilityPerformed();
        bossAbilityBinder.UseUltimateAbility(this.transform.position);
    }

    protected override void PerformCoreAbility()
    {
        base.PerformCoreAbility();
    }

    protected override void PerformMeleeAbility()
    {
        base.PerformMeleeAbility();
    }
}
